## org.apache.tools.ant.taskdefs
Class Get.Base64Converter

    java.lang.Object
      |
      +--org.apache.tools.ant.taskdefs.Get.Base64Converter

Enclosing class:
  Get

protected static class Get.Base64Converter
extends java.lang.Object

BASE 64 encoding of a String or an array of bytes. Based on RFC 1421.

Field Summary
`char[]` `alphabet`

Constructor Summary
`protected` `Get.Base64Converter()`

Method Summary
`java.lang.String` `encode(byte[] octetString)`
`java.lang.String` `encode(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### alphabet

    public final char[] alphabet

Constructor Detail

### Get.Base64Converter

    protected Get.Base64Converter()

Method Detail

### encode

    public java.lang.String encode(java.lang.String s)

### encode

    public java.lang.String encode(byte[] octetString)

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.